=== src/CMakeLists.txt ===
add_subdirectory (osgOcean)
#add_subdirectory (oceanExample)
