=== debian/changelog ===
ros-melodic-uwsim-osgocean (1.0.4-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mario Prats <marioprats@gmail.com>  Sun, 10 Nov 2019 19:49:59 -0000
