=== debian/control ===
Source: ros-melodic-uwsim-osgocean
Section: misc
Priority: extra
Maintainer: Mario Prats <marioprats@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libfftw3-3, libfftw3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libopenscenegraph-dev, openscenegraph
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-uwsim-osgocean
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libfftw3-3, libfftw3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libopenscenegraph-dev, openscenegraph, ros-melodic-catkin
Description: The OSG Ocean library adapted to UWSim.
 See https://code.google.com/p/osgocean
